Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00987 Speed Minor Have not tried Feb 8, 2008, 05:41 May 15, 2020, 21:46
Tester Kale View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver seta2.cpp
Version 0.56 Fixed in Version Build
Summary 00987: myangel: Bad syncronization in (one of) the ending of the game.
Description Bad syncronization in (one of) the ending of the game. Specifically, the scrolling of the background doesn't remain at his normal position... NOTE: The ending that I've saw was the marriage of the woman (type beautiful), I can't say with my current knowledge of this game if there are more than one ending...

Update in MAME .65: Re: whatsnew.txt - Yes, this bug is still active.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems myangel
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.15808
MetalGod
Senior Tester
Nov 21, 2018, 10:55
edited on: May 15, 2020, 15:40
Edit 15/05/2020 :

Here's a video that shows the bug:
User avatar
No.15817
Kale
Developer
Nov 21, 2018, 20:46
edited on: Nov 21, 2018, 20:47
HW likely changes scrolling twice during a single frame, causing the glitch.
fwiw this is PS1 version ending, that doesn't sport the bug:
(1:38:44)
User avatar
No.17653
MetalGod
Senior Tester
May 15, 2020, 15:45
edited on: May 15, 2020, 19:58
Not present in this other video. It comes from a newer version of mame. The bug might have been solved in the last years, but I'm not 100% sure. I'll test it.




The bug appears here
Here's a fading effect not present in the previous video, right after the bug.
User avatar
No.17655
MetalGod
Senior Tester
May 15, 2020, 20:47
Tested on mame 0.220
It is fixed!!!
Both the scrolling background and the fade effect
User avatar
No.17656
MetalGod
Senior Tester
May 15, 2020, 21:46
BTW, here's pcb reference: